"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnityChangeset = void 0;
const REGEXP_HUB_LINK = /^unityhub:\/\/(\d{4}\.\d+\.\d+(a|b|f)\d+)\/(\w{12})$/;
class UnityChangeset {
    constructor(version, changeset) {
        this.version = '';
        this.changeset = '';
        Object.assign(this, { version, changeset });
    }
    toString() {
        return `${this.version}\t${this.changeset}`;
    }
}
exports.UnityChangeset = UnityChangeset;
UnityChangeset.isValid = (href) => {
    return REGEXP_HUB_LINK.test(href);
};
UnityChangeset.createFromHref = (href) => {
    const match = href.match(REGEXP_HUB_LINK);
    return new UnityChangeset(match === null || match === void 0 ? void 0 : match[1], match === null || match === void 0 ? void 0 : match[3]);
};
//# sourceMappingURL=unityChangeset.js.map